Problème de compatibilité PDF avec xelatex

Tout ce qui concerne le langage LaTeX et ses variantes. Ce langage est supporté sur le forum via les balises tex.

Modérateur : gdm_tex

Règles du forum
Merci de soigner la rédaction de vos messages et de consulter ce sujet avant de poster. Pensez également à utiliser la fonction recherche du forum.
Thibault
Utilisateur éprouvé
Utilisateur éprouvé
Messages : 194
Inscription : jeudi 28 février 2008, 16:20
Localisation : Vendée

Problème de compatibilité PDF avec xelatex

Message par Thibault »

Bonjour à tous,

Mon titre n'est pas très parlant mais j'ai un souci depuis que je suis passé à une compilation à l'aide de la commande xelatex.
En effet, j'utilise régulièrement un petit logiciel sous linux qui se nomme PDF Mod et qui me permet de modifier des fichiers PDF supprimer ou extraire des pages, en ajouter d'autres etc...
Tout fonctionnait bien avant mais depuis que je suis passé sous xelatex, je ne parviens plus à ouvrir mes fichiers PDF générés par la compilation avec PDF Mod. Il me met un message d'erreur (erreur de chargement...). Pour d'autres PDF, cela fonctionne encore parfaitement.

Y a-t-il donc une option à mettre dans ma commande de compilation de sorte à ce que les fichiers PDF soient "plus compatibles" et puissent s'ouvrir avec PDF Mod ?

Merci d'avance.

Tibo

[EDIT] Avec la commande suivante, j'obtiens un fichier que je peux cette fois-ci ouvrir avec PDF Mod mais c'est lourd de le faire à chaque fois...

Code : Tout sélectionner

gs -dBATCH -dNOPAUSE -q -sDEVICE=pdfwrite -sOutputFile="fichier_reduit.pdf"  "fichier_a_reduire.pdf"
Thibault
Prof de maths...
Utilisateur de LaTeX sous Linux (ubuntu 20.04 LTS)
Distrib TeXlive
Éditeur GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.14) + auctex + yasnippets
kojak
Modérateur général
Modérateur général
Messages : 10386
Inscription : samedi 18 novembre 2006, 19:50

Re: Problème de compatibilité PDF avec xelatex

Message par kojak »

Bonjour Thibault,

Pour ma part, j’utilise pdfsam basic pour découper, fusionner et autres les pdf. Jamais eu de souci avec.
Pas d'aide par MP.
MB
Administrateur
Administrateur
Messages : 7264
Inscription : samedi 28 mai 2005, 14:23
Statut actuel : Enseignant

Re: Problème de compatibilité PDF avec xelatex

Message par MB »

D'après le changelog d'Ubuntu, il semblerait que pdfmod ne soit plus mis à jour depuis 2014. Il serait peut-être préférable d'utiliser un programme plus récent, par exemple celui proposé par kojak.
MB. (rejoignez pCloud afin d'obtenir 10Go de stockage en ligne gratuits)
Pas d'aide en message privé. Merci de consulter ce sujet avant de poster votre premier message.
Thibault
Utilisateur éprouvé
Utilisateur éprouvé
Messages : 194
Inscription : jeudi 28 février 2008, 16:20
Localisation : Vendée

Re: Problème de compatibilité PDF avec xelatex

Message par Thibault »

Merci pour vos réponses les gars.
kojak a écrit : dimanche 13 septembre 2020, 17:58 Bonjour Thibault,

Pour ma part, j’utilise pdfsam basic pour découper, fusionner et autres les pdf. Jamais eu de souci avec.
Oui, je connais pdfsam, je l'utilisais avant mais je trouve PDF Mod bien plus simple (visualisation des pages, déplacement de pages par glisser-deposer,...). Bon, c'est pas grave, je vais retourner sous pdfsam.
Thibault
Prof de maths...
Utilisateur de LaTeX sous Linux (ubuntu 20.04 LTS)
Distrib TeXlive
Éditeur GNU Emacs 26.3 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.14) + auctex + yasnippets